%define name guile-gtk-1.2
%define version 0.31
%define release 6mdk

%define major _0
%define libname  %mklibname %name %{major}

Summary:    Makes the GTK+ toolkit accesible from Guile
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:         http://www.nongnu.org/guile-gtk/latest.html
Source:    %{name}-%{version}.tar.bz2
License:   GPL
Group:     Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libguile12-devel gtk+-devel
Requires: %{libname} = %{version}-%{release}
Conflicts: libgnome-guile0-devel
Conflicts: gnome-guile

%description 
Guile-gtk is glue code to make the GTK+ toolkit  accesible from Guile.
It provides a  interface for Scheme programmers to develop visual applications. 
It can optionally integrate with gnome via the Gnome-guile module

%package -n %{libname}
Summary:  %{summary}.
Group: System/Libraries
Conflicts: libgnome-guile0
Conflicts: libgnome-guile0-devel
Provides: %{libname} = %{version}-%{release} 
Requires: %name >= %version-%release

%description -n %{libname}
Libraries for making GTK+ accessible from Guile

%package -n %{libname}-devel
Summary:   %{summary}
Group:    Development/C  
Requires: %{libname} = %{version}-%{release} 
Requires:  libguile12-devel gtk+-devel
Provides:  lib%name-devel = %version-%release
Conflicts: libgnome-guile0-devel

%description -n %{libname}-devel
Static libraries and header files for guile-gtk app development

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure2_5x

%make

%install
%makeinstall

##move to versioned dir
mkdir $RPM_BUILD_ROOT/%{_includedir}/%{libname}
mv $RPM_BUILD_ROOT/%{_includedir}/guile-gtk.h $RPM_BUILD_ROOT/%{_includedir}/%{libname}
#add ln in /usr/include
ln -s /%{_includedir}/%{libname}/guile-gtk.h $RPM_BUILD_ROOT/%{_includedir}

%post -n %{libname} -p /sbin/ldconfig              

%postun -n %{libname} -p /sbin/ldconfig              

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%dir %{_datadir}/guile-gtk
%{_datadir}/guile-gtk/gdk-1.2.defs
%{_datadir}/guile-gtk/gtk-1.2.defs
%dir %{_datadir}/guile/gtk
%dir %{_datadir}/guile/gtk-1.2
%{_datadir}/guile/gtk-1.2/config.scm
%{_datadir}/guile/gtk-1.2/dynlink.scm
%{_datadir}/guile/gtk-1.2/gdk.scm
%{_datadir}/guile/gtk-1.2/gtk.scm
%{_datadir}/guile/gtk-1.2/repl.scm
%{_datadir}/guile/gtk-1.2/threads.scm
%{_datadir}/guile/gtk/config.scm
%{_datadir}/guile/gtk/dynlink.scm
%{_datadir}/guile/gtk/gdk.scm
%{_datadir}/guile/gtk/gtk.scm
%{_datadir}/guile/gtk/repl.scm
%{_datadir}/guile/gtk/threads.scm
%{_libdir}/lib*.la
 
%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.* 

%files -n %{libname}-devel
%defattr(-,root,root) 
%{_libdir}/lib*.so  
%{_libdir}/lib*.a
%{_includedir}/*
#%{_includedir}/ guile-gtk.h

%changelog
* Thu Aug 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.31-6mdk
- add one missing dir

* Tue Jul 22 2003 Charles A Edwards <eslrahc@bellsouth.net. 0.31-5mdk
- add link for guile-gtk.h in /usr/include

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.31-4mdk
- add another conflict for distriblint

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.31-3mdk
- fix dir ownership
- add some more conflicts to please distriblint

* Tue Feb 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.31-2mdk
- move libtool library to the main package
- fix deps

* Mon Feb 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.31-1mdk
- fix deps
- from Charles A Edwards <eslrahc@bellsouth.net>
  - initial package












